查询销量统计列表v2
POST
/basicOpen/platformStatisticsV2/saleStat/pageList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/platformStatisticsV2/saleStat/pageList | HTTPS | POST | 1 |
请求参数
start_datestring必填end_datestring必填result_typestring必填date_unitstring必填pageintegerlengthintegerdata_typestring必填sidsarray<any>请求cURL示例
curl --location --request POST 'https://openapi.lingxing.com/basicOpen/platformStatisticsV2/saleStat/pageList?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data-raw '{
"start_date": "2022-10-03",
"end_date": "2022-12-23",
"data_type": "4",
"result_type": "1",
"date_unit": "2",
"page": 1,
"length": 20,
"sids":
[
"110000000018005095",
"110000000018006001",
"110000000018006003",
"110000000018006002"
]
}'
返回结果
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
pic_urlstringskuarray<any>spuarray<any>spu_namearray<any>mskuarray<any>mskuIdarray<any>sidarray<any>必填skuAndProductNamearray<any>product_namearray<any>必填develop_namearray<any>必填platform_codearray<any>必填platform_namearray<any>必填attributearray<any>parentAsinarray<any>site_codearray<any>必填site_namearray<any>必填store_namearray<any>必填currency_codestring必填iconstring必填date_collectstring必填volumeTotalstring必填platform_product_idarray<any>必填platform_product_titlearray<any>必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "8b0547c62b8d4255ab606572a4fb756e.1733102982114",
"response_time": "2024-12-02 09:29:46",
"data": [{
"pic_url": "https://image.distributetop.com/erp-vue/901157321452879872/20230109/81436529358845e3837c508bd97094f5.jpeg",
"sku": ["wjc0_sku"],
"spu": [],
"spu_name": [],
"msku": "[\"TVS001-V2-YW180-RR\"]",
"mskuId": ["BF003-GY-Q-RR"],
"sid": [],
"skuAndProductName": ["ueeshop1111"],
"product_name": ["wjc0_pm"],
"develop_name": ["吴玖橙"],
"platform_code": ["10006"],
"platform_name": ["Walmart"],
"attribute": [],
"parentAsin": [],
"site_code": ["10006-SG"],
"site_name": ["[Shopee].新加坡"],
"store_name": ["test18自创Shopee测试店铺01号2"],
"currency_code": "USD",
"icon": "\"¥\"",
"date_collect": "{\"2022-12-16\":\"1\",\"2022-12-27\":\"1\",\"2022-12-26\":\"1\",\"2022-12-15\":\"3\",\"2022-12-29\":\"3\",\"2022-12-07\":\"1\"}",
"volumeTotal": 10,
"platform_product_id": [],
"platform_product_title": []
}],
"total": 1
}